This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 180021

Summary: 0.71 update breaks orinoco/firmware based NICs
Product: [Fedora] Fedora Reporter: Lonni J Friedman <netllama>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 5CC: fawad, jwalden+brc, pekkas, ralston
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-24 06:19:40 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
ifcfg-* files
none
udev log messages none

Description Lonni J Friedman 2006-02-04 15:33:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060124 Firefox/1.5.0.1

Description of problem:
wlan0 no longer works and it seems to be replaced with eth1, or possibly wlan0 and eth1 seem to have their wires crossed somewhere.  The driver identifies the card as a Prism I card instead of a Prism 2.5 card.  

This all started with the kernel-2.6.15-1.1830_FC4 & udev-0.71 update.  If I go back to booting the previous FC4 kernel, the problem remains, which leads me to believe its a udev problem.  This is basically the same issue in bug 179982, except i'm reporting it against udev instead of the kernel.

I've got a Linksys WPC11v3 PCMCIA wifi card that uses the orinoco driver.  Since
the udev update to 0.71 as soon as I try to bring up the interface for the wifi
card, I start getting an un-ending stream of errors like this:
 cannot change name of wlan0 to devWXYZ: File exists

where WXYZ seems to be a random number that changes each time the error appears
(and it appears many times per second, but gradually slows down over time).

This is really really bad.

Version-Release number of selected component (if applicable):
udev-0.71

How reproducible:
Always

Steps to Reproduce:
1. setup networking for an orinoco driver based wifi NIC
2. attempt to bring up the eth0 interface for the NIC

Actual Results:  tons of "cannot change name of wlan0 to devWXYZ: File exists" errors and the interface never comes up.  In fact, if the NIC is set to come up on boot, then the boot process never finishes as the errors just continue indefinitely (I waited 20 minutes, and it was still erroring out)

Expected Results:  eth0 comes up, no errors

Additional info:
Comment 1 Harald Hoyer 2006-02-15 07:15:35 EST
please post your /etc/sysconfig/network-scripts/ifcfg-* files here.
Comment 2 Lonni J Friedman 2006-02-15 21:39:18 EST
Created attachment 124735 [details]
ifcfg-* files

requested files attached in tarball.
Comment 3 James Ralston 2006-02-16 15:10:29 EST
More generally: udev-0.71 doesn't seem to be able to rename network interfaces.

Here's my /etc/sysconfig/network-scripts/ifcfg-ipw0 file:

DEVICE=ipw0
TYPE=Wireless
MODE=Managed
BOOTPROTO=dhcp
ONBOOT=no

Here's my /etc/udev/rules.d/10-ipw2100.rules file:

# Name my wireless interface ipw0 instead of the next available "eth" number.
KERNEL=="eth*", BUS=="pci", ID=="0000:02:03.0", DRIVER=="ipw2100", NAME="ipw0",
OPTIONS="last_rule"

If I modprobe the ipw2100 module, and then use udevtest, all seems well:
$ udevtest /sys/class/net/eth1 net
main: looking at device '/class/net/eth1' from subsystem 'net'
main: opened class_dev->name='eth1'
udev_rules_get_name: rule applied, 'eth1' becomes 'ipw0'
rename_net_if: changing net interface name from 'eth1' to 'ipw0'
udev_add_device: renamed netif to 'ipw0'

I've inspected the log messages from udev, and nothing seems amiss.  (I'll
attach them in my next comment.)

However, the rename never happens:

$ ip link show
1: lo: <LOOPBACK,UP> mtu 16436 qdisc noqueue 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop qlen 1000
    link/ether 00:0b:db:a1:19:98 brd ff:ff:ff:ff:ff:ff
13: eth1: <BROADCAST,MULTICAST> mtu 1500 qdisc noop qlen 1000
    link/ether 00:04:23:48:8e:e6 brd ff:ff:ff:ff:ff:ff

I can rename the interface manually, no problem:

$ ifrename -c /dev/null -i eth1 -n ipw0
ipw0

$ ip link show
1: lo: <LOOPBACK,UP> mtu 16436 qdisc noqueue 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop qlen 1000
    link/ether 00:0b:db:a1:19:98 brd ff:ff:ff:ff:ff:ff
13: ipw0: <BROADCAST,MULTICAST> mtu 1500 qdisc noop qlen 1000
    link/ether 00:04:23:48:8e:e6 brd ff:ff:ff:ff:ff:ff

The fact that this worked perfectly using udev-058, combined with the fact that
udevtest thinks the rename should happen, leads me to believe that this is
actually a regression/bug in udev-0.71.
Comment 4 James Ralston 2006-02-16 15:13:35 EST
Created attachment 124781 [details]
udev log messages

These are the log messages that are generated when I execute "modprobe
ipw2100".
Comment 5 Lonni J Friedman 2006-02-21 15:58:01 EST
Is there a reason why this bug is still in the NEEDINFO_REPORTER state?  I
attached the requested information a week ago.
Comment 6 Lonni J Friedman 2006-03-22 13:54:41 EST
Harald, any ideas when this might see some attention?  I'm deathly afraid of
upgrading to FC5 because I have no clue whether this bug is still there, and I
*really* need wifi to work.
Comment 7 Harald Hoyer 2006-03-23 03:03:10 EST
ok, next step... comment out all modprobe lines from:
/etc/udev/rules.d/*
try to boot
Comment 8 Harald Hoyer 2006-03-23 03:04:41 EST
oops... forget the last comment... wrong bugzilla :)
Comment 9 James Ralston 2006-05-17 19:31:22 EDT
FWIW, I don't experience this problem with FC5 (
udev-084-13).

More specifically, this line in a file in /etc/udev/rules.d:

# Name my wireless interface ipw0 instead of the next available "eth" number.
KERNEL=="eth*", BUS=="pci", ID=="0000:02:03.0", DRIVER=="ipw2100", NAME="ipw0"

...does what one would expect.

Lonni, I suspect that you might have to use a similar rule to ensure that your
wireless interface is named exactly what you want it to be, but if this works
for me, it should work for you, too.
Comment 10 Christian Iseli 2007-01-19 19:35:20 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 11 Lonni J Friedman 2007-01-19 21:19:48 EST
I'm still seeing this problem in FC5.
Comment 12 James Ralston 2007-01-21 14:17:12 EST
Just FYI, I've had no issues with udev being able to rename the interface of my
ipw2100 adapter from eth1 to ipw0 since FC5, so I don't think this is a general
udev problem per se.